# $Revision: 1.8 $, $Date: 2008/11/26 11:39:24 $
Summary:	Generates (pseudo-)random passwords
Summary(pl.UTF-8):	Generowanie (pseudo-)losowych haseł
Name:		makepasswd
Version:	0.4.2
Release:	2
License:	GPL v2+
Group:		Applications/Text
Source0:	ftp://ftp.defora.org/pub/projects/makepasswd/%{name}-%{version}.tar.gz
# Source0-md5:	ef95058753742d25f070628166d84815
URL:		http://people.defora.org/~khorben/projects/makepasswd/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makepasswd generates (pseudo-)random passwords of a desired length. It
is able to generate its crypted equivalent.

%description -l pl.UTF-8
Makepasswd generuje (pseudo-)losowe hasła o żądanej długości. Potrafi
generować ich zaszyfrowane odpowiedniki.

%prep
%setup -q

%build
%{__make} \
	PREFIX=%{_prefix} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -ansi"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: makepasswd.spec,v $
Revision 1.8  2008/11/26 11:39:24  blues
- rel.2

Revision 1.7  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.5  2006/04/08 20:43:16  darekr
- fix URL

Revision 1.4  2004/09/29 19:03:44  blues
- fixed URL

Revision 1.3  2004/01/29 17:31:28  eothane
- updated to 0.4.2

Revision 1.2  2003/07/16 12:15:29  qboosh
- pl fix, pass CC and CFLAGS

Revision 1.1  2003/07/16 11:03:07  blues
- very nice random password generator
